From 2c194042e1e70432cbe8977881f489a9f27fec4e Mon Sep 17 00:00:00 2001
From: Simon McVittie <smcv@debian.org>
Date: Wed, 25 May 2016 07:27:38 +0100
Subject: [PATCH 10/11] Add a regression test for keeping CAP_NET_ADMIN

---
 debian/tests/control |  7 +++++++
 debian/tests/net     | 16 ++++++++++++++++
 2 files changed, 23 insertions(+)
 create mode 100644 debian/tests/net

diff --git a/debian/tests/control b/debian/tests/control
index e3bb376..d388486 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -5,3 +5,10 @@ Tests:
 Depends:
  bats,
  bubblewrap,
+
+Tests:
+ net
+Depends:
+ bats,
+ bubblewrap,
+ iproute2,
diff --git a/debian/tests/net b/debian/tests/net
new file mode 100644
index 0000000..9287c16
--- /dev/null
+++ b/debian/tests/net
@@ -0,0 +1,16 @@
+#!/usr/bin/bats
+# vim:set sw=4 sts=4 et ft=sh:
+
+set -e
+
+. debian/tests/testlib.sh
+
+@test "Unshare network namespace" {
+    run bwrap --ro-bind / / --unshare-net /bin/sh -c 'ip link ls'
+
+    like "$output" $'(^|\n)[0-9]+: lo:'
+    unlike "$output" $'(^|\n)[0-9]+: en[^:]*:'
+    unlike "$output" $'(^|\n)[0-9]+: eth[^:]*:'
+    unlike "$output" $'(^|\n)[0-9]+: wl[^:]*:'
+    is "$status" 0
+}
-- 
2.8.1

